<?php
/**
 * 备货入库
 *
 * @author zhangdongying
 * @date   2023-10-11
 */
declare(strict_types=1);

namespace Meibuyu\Rpc\Service\Interfaces\Store;

interface StockUpServiceInterface
{
    /**
     * 获取到货质检数据（通过发货批次号）
     *
     * @param string $deliveryBatchNo 发货批次号
     * @param array $columns 列名数组
     * @return array
     */
    public function getQcByDeliveryBatchNo(string $deliveryBatchNo, array $columns = ['*']): array;
}